(function() {
    var setStatus = (message, type) => {
        var status = document.getElementById('dks-connection-status');        
        if (status) {
            status.innerText = message;
            status.className = 'alert-message dks-' + type
        }
    };

    window.addEventListener('load', async () => {                
        var host = document.getElementById('dks[server]');
        var apikey = document.getElementById('dks[apikey]');
        var i18n = dks_state.i18n;
        try {
            const response = await fetch(dks_state.plugin_directory + "?p=/api/version");
            if (response.status == 401) {
                host.classList.add('dks-success')
                apikey.classList.add('dks-alert');
                setStatus(i18n.dksState401, "alert");
            } else {
                const version = await response.json();
                state = "Connection to DKS was successful: DPF Version: " + version['DPF version'] + ", Server Version: " + version['Server version'];                
                host.classList.add('dks-success')
                apikey.classList.add('dks-success');
                setStatus(i18n.dksStateOK, "success");
            }
        } catch (e) {
            setStatus(i18n.dksStateFail, "alert");
            if (host) {
                host.classList.add('dks-alert')
            }
        }
    });
})();

